/*
 * Class WEL_TA_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_412 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_412 [] = {0xFF01,1551,411,0xFFFF};
static const EIF_TYPE_INDEX egt_2_412 [] = {0xFF01,411,0xFFFF};
static const EIF_TYPE_INDEX egt_3_412 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_412 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_412 [] = {0xFF01,411,0xFFFF};
static const EIF_TYPE_INDEX egt_6_412 [] = {0xFF01,411,0xFFFF};
static const EIF_TYPE_INDEX egt_7_412 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_412 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_412 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_412 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_412 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_412 [] = {0xFF01,411,0xFFFF};


static const struct desc_info desc_412[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_412), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_412), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_412), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_412), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_412), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_412), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_412), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_412), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_412), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_412), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_412), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_412), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0337 /*411*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_412), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7159, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7161, 0xFFFFFFFF},
};
void Init412(void)
{
	IDSC(desc_412, 0, 411);
	IDSC(desc_412 + 1, 1, 411);
	IDSC(desc_412 + 32, 815, 411);
}


#ifdef __cplusplus
}
#endif
